io.vertx.rxjava.ext.auth.webauthn

## Class CredentialStore

- java.lang.Object
- - io.vertx.rxjava.ext.auth.webauthn.CredentialStore

-     public class CredentialStore
      extends Object

  Generic interface to fetch user related information from a server backend. All methods of this interface are optional.

  NOTE: This class has been automatically generated from the `original` non RX-ified interface using Vert.x codegen.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static io.vertx.lang.rx.TypeArg<CredentialStore>` | `__TYPE_ARG`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `CredentialStore(CredentialStore delegate)`
    `CredentialStore(Object delegate)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(Object o)`
    `String` | `generateId()` Generates a unique ID that doesn't contain any user identifiable information.
    `CredentialStore` | `getDelegate()`
    `CredentialStore` | `getUserCredentialsById(String rawId)` Retrieves the user credentials from a backend given the user unique identifier.
    `CredentialStore` | `getUserCredentialsById(String rawId, Handler<AsyncResult<List<JsonObject>>> handler)` Retrieves the user credentials from a backend given the user unique identifier.
    `CredentialStore` | `getUserCredentialsByName(String username)` Retrieves the user credentials from a backend given the user unique identifier.
    `CredentialStore` | `getUserCredentialsByName(String username, Handler<AsyncResult<List<JsonObject>>> handler)` Retrieves the user credentials from a backend given the user unique identifier.
    `int` | `hashCode()`
    `static CredentialStore` | `newInstance(CredentialStore arg)`
    `Single<List<JsonObject>>` | `rxGetUserCredentialsById(String rawId)` Retrieves the user credentials from a backend given the user unique identifier.
    `Single<List<JsonObject>>` | `rxGetUserCredentialsByName(String username)` Retrieves the user credentials from a backend given the user unique identifier.
    `Single<Void>` | `rxUpdateUserCredential(String id, JsonObject data, boolean upsert)` Update the user credential.
    `String` | `toString()`
    `CredentialStore` | `updateUserCredential(String id, JsonObject data, boolean upsert)` Update the user credential.
    `CredentialStore` | `updateUserCredential(String id, JsonObject data, boolean upsert, Handler<AsyncResult<Void>> handler)` Update the user credential.

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### __TYPE_ARG

          public static final io.vertx.lang.rx.TypeArg<CredentialStore> __TYPE_ARG

  - ### Constructor Detail

    - #### CredentialStore

          public CredentialStore(CredentialStore delegate)

    - #### CredentialStore

          public CredentialStore(Object delegate)

  - ### Method Detail

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### getDelegate

          public CredentialStore getDelegate()

    - #### generateId

          public String generateId()

      Generates a unique ID that doesn't contain any user identifiable information. By default it generates a random UUID. Although this is will work for most cases a better implementation that prevents collisions of IDs should be preferred.
      Returns:
        a new unique ID as a string

    - #### getUserCredentialsByName

          public CredentialStore getUserCredentialsByName(String username,
                                                          Handler<AsyncResult<List<JsonObject>>> handler)

      Retrieves the user credentials from a backend given the user unique identifier. It may return more than 1 result, for example when a user can be identified using different modalities.
      Parameters:
        `username` - user unique name.
        `handler` - the handler for the result callback.
      Returns:
        fluent self.

    - #### getUserCredentialsByName

          public CredentialStore getUserCredentialsByName(String username)

      Retrieves the user credentials from a backend given the user unique identifier. It may return more than 1 result, for example when a user can be identified using different modalities.
      Parameters:
        `username` - user unique name.
      Returns:
        fluent self.

    - #### rxGetUserCredentialsByName

          public Single<List<JsonObject>> rxGetUserCredentialsByName(String username)

      Retrieves the user credentials from a backend given the user unique identifier. It may return more than 1 result, for example when a user can be identified using different modalities.
      Parameters:
        `username` - user unique name.
      Returns:
        fluent self.

    - #### getUserCredentialsById

          public CredentialStore getUserCredentialsById(String rawId,
                                                        Handler<AsyncResult<List<JsonObject>>> handler)

      Retrieves the user credentials from a backend given the user unique identifier. It may return more than 1 result, for example when a user can be identified using different modalities.
      Parameters:
        `rawId` - user unique rawId.
        `handler` - the handler for the result callback.
      Returns:
        fluent self.

    - #### getUserCredentialsById

          public CredentialStore getUserCredentialsById(String rawId)

      Retrieves the user credentials from a backend given the user unique identifier. It may return more than 1 result, for example when a user can be identified using different modalities.
      Parameters:
        `rawId` - user unique rawId.
      Returns:
        fluent self.

    - #### rxGetUserCredentialsById

          public Single<List<JsonObject>> rxGetUserCredentialsById(String rawId)

      Retrieves the user credentials from a backend given the user unique identifier. It may return more than 1 result, for example when a user can be identified using different modalities.
      Parameters:
        `rawId` - user unique rawId.
      Returns:
        fluent self.

    - #### updateUserCredential

          public CredentialStore updateUserCredential(String id,
                                                      JsonObject data,
                                                      boolean upsert,
                                                      Handler<AsyncResult<Void>> handler)

      Update the user credential.
      Parameters:
        `id` - the unique user identifier.
        `data` - the data to update.
        `upsert` - insert if not present.
        `handler` - the handler for the result callback.
      Returns:
        fluent self.

    - #### updateUserCredential

          public CredentialStore updateUserCredential(String id,
                                                      JsonObject data,
                                                      boolean upsert)

      Update the user credential.
      Parameters:
        `id` - the unique user identifier.
        `data` - the data to update.
        `upsert` - insert if not present.
      Returns:
        fluent self.

    - #### rxUpdateUserCredential

          public Single<Void> rxUpdateUserCredential(String id,
                                                     JsonObject data,
                                                     boolean upsert)

      Update the user credential.
      Parameters:
        `id` - the unique user identifier.
        `data` - the data to update.
        `upsert` - insert if not present.
      Returns:
        fluent self.

    - #### newInstance

          public static CredentialStore newInstance(CredentialStore arg)

Copyright © 2020 Eclipse. All rights reserved.